﻿package {
	
	//Spriteクラスの明示的な読み込み
	import flash.display.Sprite;
	//MouseEventクラスの明示的な読み込み
	import flash.events.MouseEvent;
	//TextFieldクラスの明示的な読み込み
	import flash.text.TextField;

	//flaファイル用クラス：タイムラインを使用しないのでSpriteクラスを拡張
	public class SampleEventTargetDoc extends Sprite{
		
		//Flash IDE上で配置したTextField
		public var target_tf:TextField;
		public var currentTarget_tf:TextField;
		
		//動的に表示追加するSampleBtnClassオブジェクト
		var sampleBtn:SampleBtnClass;
		
		//コンストラクタ
		public function SampleEventTargetDoc(){
			
			//SampleBtnClassインスタンスを作成
			sampleBtn=new SampleBtnClass();
			
			//SampleBtnClassインスタンスの座標指定
			sampleBtn.x=50;
			sampleBtn.y=30;
			
			//sampleBtnにイベント追加
			sampleBtn.addEventListener(MouseEvent.CLICK,clickHandler);
			
			//sampleBtnを表示リストに追加
			this.addChild(sampleBtn);
		}

		//sampleBtnがクリックされた時に実行
		private function clickHandler(evt:MouseEvent):void{
			//targetとcurrentTargetを取得
			var targetString:String=evt.target.toString();
			var currentTargetString:String=evt.currentTarget.toString();
			
			//テキスト表示
			target_tf.text="target："+targetString;
			currentTarget_tf.text="currentTarget："+currentTargetString;
		}
		
	}
}